summaryrefslogtreecommitdiffstats
path: root/libraries/exiftool/exiftool.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/exiftool/exiftool.SlackBuild')
-rw-r--r--libraries/exiftool/exiftool.SlackBuild50
1 files changed, 22 insertions, 28 deletions
diff --git a/libraries/exiftool/exiftool.SlackBuild b/libraries/exiftool/exiftool.SlackBuild
index d26cf632e8..8060f01431 100644
--- a/libraries/exiftool/exiftool.SlackBuild
+++ b/libraries/exiftool/exiftool.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/bash
-# Slackware build script for Exiftool
+# Slackware build script for exiftool
# Copyright 2011 David Spencer, Baildon, West Yorkshire, U.K.
+# Copyright 2022-2024 Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,22 +26,15 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=exiftool
-VERSION=${VERSION:-11.11}
+VERSION=${VERSION:-12.76}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+SRCNAM=Image-ExifTool
+
+ARCH=noarch
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -55,9 +49,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf Image-ExifTool-$VERSION
-tar xvf $CWD/Image-ExifTool-$VERSION.tar.gz
-cd Image-ExifTool-$VERSION
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -65,26 +59,26 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-perl Makefile.PL INSTALLDIRS=vendor
-make test
-make install INSTALLDIRS=vendor DESTDIR=$PKG
+chmod 644 config_files/frameCount.config
-mv $PKG/usr/share/man $PKG/usr/man
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-find $PKG -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-# Kill some empty directories
-eval $(perl '-V:archlib')
-eval $(perl '-V:vendorarch')
-rmdir -p $PKG/$vendorarch/auto/Image/ExifTool $PKG/$archlib 2>/dev/null || true
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changes README html/ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README arg_files config_files fmt_files html $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install